Last Comment Bug 807126 - Port B2G automation to SUT Agent
: Port B2G automation to SUT Agent
Status: RESOLVED WONTFIX
:
Product: Testing
Classification: Components
Component: General (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 800138
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-30 15:25 PDT by Andrew Halberstadt [:ahal]
Modified: 2013-10-10 11:43 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
bitrotted WIP (29.11 KB, patch)
2012-10-30 16:16 PDT, Andrew Halberstadt [:ahal]
no flags Details | Diff | Splinter Review

Description Andrew Halberstadt [:ahal] 2012-10-30 15:25:34 PDT
So I realized while I had a bunch of smaller bugs for the issues I ran into when porting the B2G automation to SUT Agent, I didn't have an actual tracking bug for it.
Comment 1 Andrew Halberstadt [:ahal] 2012-10-30 16:16:53 PDT
Created attachment 676827 [details] [diff] [review]
bitrotted WIP

Here is my initial WIP patch with tons of print statements and bit rot.
Comment 2 Andrew Halberstadt [:ahal] 2012-10-31 11:42:25 PDT
Off the top of my head, here are some of the things we use adb for that I'll need to replicate some other way:

1) adb forward -> can't remember if this was just needed for emulators or other things too
2) adb remount -> apparently this can be achieved by running 'mount -o remount,rw -t ext4 /dev/block/mmcblk0p2 /system' as root
3) using adb to start b2g.sh and retrieve output -> we'll probably need to copy the fennec method of pulling down a file every couple of seconds or something similar
Comment 3 Jonathan Griffin (:jgriffin) 2012-10-31 12:25:07 PDT
(In reply to Andrew Halberstadt [:ahal] from comment #2)
> Off the top of my head, here are some of the things we use adb for that I'll
> need to replicate some other way:
> 
> 1) adb forward -> can't remember if this was just needed for emulators or
> other things too

We do need adb forward for the emulator (we'll have to stick with adb instead of SUT in general for emulator tests).  It may be useful to preserve adb mode as well for people running tests locally.  We shouldn't need it all in SUTAgent mode, theoretically.  However, there's currently a bug which prevents Marionette from accepting connections from a non-local socket which will have to be fixed (bug 800138) before we can completely convert to SUTAgent.
Comment 4 Andrew Halberstadt [:ahal] 2012-11-01 07:24:26 PDT
I think we will need adb forward functionality.. Negatus currently requires ports 20700 and 20701 to be forwarded: https://github.com/mozilla/Negatus
Comment 5 Mark Côté [:mcote] 2012-11-01 07:46:05 PDT
No, Negatus does not require adb; it's just a convenience, particularly for development, so that we can have a single script to build and install Negatus without having to know what the remote device's IP is. Negatus should have ports 20701 and 20700 open on whatever device it's running on.
Comment 6 Armen Zambrano [:armenzg] - Engineering productivity 2012-11-21 13:01:20 PST
Would this bug be needed to actually run tests on the pandas?
Should this block bug 802317?
Comment 7 Andrew Halberstadt [:ahal] 2012-11-21 13:04:51 PST
No this only blocks mochitests and reftests.
Comment 8 Andrew Halberstadt [:ahal] 2013-01-23 11:37:00 PST
Unassigning myself as this is likely deferred to Q2
Comment 9 Andrew Halberstadt [:ahal] 2013-10-10 11:43:33 PDT
B2GAutomation is soon a thing of the past. A newer incarnation of this bug might be "Create a mozrunner capable of working with sutagent"

Note You need to log in before you can comment on or make changes to this bug.